Create webhook configurations
curl --request POST \
--url https://api.partoo.co/v2/webhooks \
--header 'Content-Type: application/json' \
--header 'x-APIKey: <api-key>' \
--data '
{
"items": [
{
"url": "https://example.com/webhook",
"event_type": "business_created",
"custom_headers": {
"X-My-Header": "my-value",
"X-Auth-Token": "secret-token"
}
}
]
}
'import requests
url = "https://api.partoo.co/v2/webhooks"
payload = { "items": [
{
"url": "https://example.com/webhook",
"event_type": "business_created",
"custom_headers": {
"X-My-Header": "my-value",
"X-Auth-Token": "secret-token"
}
}
] }
headers = {
"x-APIKey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-APIKey': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
items: [
{
url: 'https://example.com/webhook',
event_type: 'business_created',
custom_headers: {'X-My-Header': 'my-value', 'X-Auth-Token': 'secret-token'}
}
]
})
};
fetch('https://api.partoo.co/v2/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": 1,
"url": "https://example.com/webhook",
"event_type": "business_created",
"created_at": "2024-11-27T16:10:44.929678Z",
"updated_at": "2024-11-27T16:10:44.929678Z",
"org_id": 1,
"custom_headers": {
"X-My-Header": "my-value",
"X-Auth-Token": "secret-token"
}
}
]
}{
"errors": {
"json": {}
}
}{
"errors": {
"authorization": "Operation not allowed"
}
}{
"errors": {
"json": "Resource not found"
}
}Webhooks
Create webhook configurations
This endpoint create webhook configurations.
POST
/
webhooks
Create webhook configurations
Authorizations
The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.
Query Parameters
Organization identifier, only required for PROVIDER users.
Body
application/json
The list of webhook configurations to create.
Show child attributes
Show child attributes
Response
OK
List of created webhook configurations
Show child attributes
Show child attributes
Was this page helpful?
⌘I